#if defined(ADAFRUIT_OLED)
#include <Arduino.h>
#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

#include "internal/DisplayAdafruitOLED.h"


static Adafruit_SSD1306		oled(SSD1306_SWITCHCAPVCC, 0x3C);



Display::Display()
	: oled(oled)
{
	Serial.println("initialized display");
	oled.setTextSize(1);
	oled.setTextColor(SSD1306_WHITE);
}

	
void
Display::Clear()
{
	this->oled.clearDisplay();
	this->SetCursor(0, 0);
	this->Draw();
}


void
Display::Draw()
{
	this->oled.display();
}


bool
Display::HasDisplay()
{
	return true;
}


void
Display::Print(const char *s)
{
	this->oled.print(s);
}


void
Display::Println(const char *s)
{
	this->oled.println(s);
}


void
Display::SetCursor(int16_t x, int16_t y)
{
	this->oled.setCursor(x, y);
}


#endif